commit:     cd6e016859ba3b052f662bfc482ebdac830c38a9
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 10 12:41:42 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jan 10 12:41:42 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=cd6e0168

sci-biology/tigr-closure: Some QA, add license

Package-Manager: portage-2.2.15

---
 sci-biology/tigr-closure/ChangeLog                 |  3 ++
 .../tigr-closure/tigr-closure-20080106.ebuild      | 47 ++++++++++------------
 2 files changed, 25 insertions(+), 25 deletions(-)

diff --git a/sci-biology/tigr-closure/ChangeLog 
b/sci-biology/tigr-closure/ChangeLog
index eba3b60..a4bebc8 100644
--- a/sci-biology/tigr-closure/ChangeLog
+++ b/sci-biology/tigr-closure/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  10 Jan 2015; Justin Lecher <[email protected]> tigr-closure-20080106.ebuild:
+  Some QA, add license
+
 *tigr-closure-20080106 (07 Jan 2015)
 
   07 Jan 2015; Martin Mokrejs <[email protected]>

diff --git a/sci-biology/tigr-closure/tigr-closure-20080106.ebuild 
b/sci-biology/tigr-closure/tigr-closure-20080106.ebuild
index 068dde9..f06be63 100644
--- a/sci-biology/tigr-closure/tigr-closure-20080106.ebuild
+++ b/sci-biology/tigr-closure/tigr-closure-20080106.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://tigr-closure.sourceforge.net/";
 # http://tigr-closure.svn.sourceforge.net/tigr-closure/
 SRC_URI="tigr-closure-svn-20080106.tar.gz"
 
-LICENSE=""
+LICENSE="all-rights-reserved"
 SLOT="0"
 KEYWORDS=""
 IUSE=""
@@ -20,48 +20,45 @@ DEPEND="dev-lang/perl"
 RDEPEND=""
 
 src_compile() {
-       cd TIGR
-       # install the two *.pm files into our perl path?
-       cd ..
 
        # Closure Work Order Processing (CWP - CLOVER)
        # clover and oats
-       cd ${WORKDIR}/CWPSystem/trunk/
+       cd "${WORKDIR}"/CWPSystem/trunk/ || die
        # needs TIGR/EUIDService.pm in PERL paths
-       make dist
+       emake dist
        # how to install the files from install/ ?
-       cd ../..
-       
-       # 
-       cd ScaffoldMgmt/trunk
-       make dist
+       cd ../.. || die
+
+       #
+       cd ScaffoldMgmt/trunk || die
+       emake dist
        # FIXME: unpack the .tar file into image during src_install()
-       cd ../..
+       cd ../.. || die
 
        # awfull
-       cd ClosureQC/trunk/
-       mkdir sandbox
-       ${SANDBOX}=${WORKDIR}/sandbox
+       cd ClosureQC/trunk/ || die
+       mkdir sandbox || die
+       ${SANDBOX}="${WORKDIR}"/sandbox
        # have ./src/, ./doc, ./install, ./test/work/drivers, 
./test/work/getqc, ./test/tmp
-       cd test
+       cd test || die
        # ...
-       cd ../../..
+       cd ../../.. || die
 
-       # 
-       cd ClosureReactionSystem/trunk
-       make BUILD=true
-       cd ../..
+       #
+       cd ClosureReactionSystem/trunk || die
+       emake BUILD=true
+       cd ../.. || die
 
        # some Java servlet?
-       cd AserverConsoleEJB3Hibernate
+       cd AserverConsoleEJB3Hibernate || die
        # huh?
-       cd ../..
+       cd ../.. || die
 }
 
 src_install() {
-       cd ${WORKDIR}/SequenceTiling
+       cd "${WORKDIR}"/SequenceTiling || die
        dobin trunk/src/*.pl
-       cd trunk/src/TIGR/SequenceTiling/
+       cd trunk/src/TIGR/SequenceTiling/ || die
        myinst="DESTDIR=${D}"
        perl-module_src_install
        #

Reply via email to